<head>
  <link rel="stylesheet" href="styles/style.css" />
  <link rel="stylesheet" href="styles/w3.css" />  <!--mostly for button styling-->
  <script src="scripts/data.js"></script>
  <script src="scripts/analytics.js"></script>
</head>
<body>
  <h1>Text Parser and Sorter</h1>
  <form name="myform">
    <textarea rows="20" cols="50" name="databox">
Paste text to be parsed here. Select the type of data to be analyzed in the dropdown, then use the Pull Values button. 
        
        Example code:

        ndh	1
        t	00/00/0000 00:00:00 0 300
        c.	
        eVar8	Signed In
        eVar6	SVOD
        eVar23	Auto Play
        eVar11	No cast
        a.	
        action	event27
        friendlyName	The Volcanoes of Hawaii
        asset	20934
        feed	HD
        length	140
        show	Aerial America
        episode	31
        season	1
        airDate	2018-08-01T04:00:00Z
        format	vod
        playerName	Standard Player
        genre	Aerial, Culture
        name	20934
        .media	
        DeviceName	iPad5,1
        RunMode	Application
        AppID	Smithsonian Channel 4.0.17 (101)
        CarrierName	(null)
        Resolution	1536x2048
        TimeSinceLaunch	2226
        .a	
        eVar4	4.0.17 (101)
        eVar22	clip
        eVar2	20
        eVar9	scotty_month
        eVar15	Quick Clips
        eVar7	0
        s.	
        pageName	Video Player
        prop5	iPad
        prop12	Detail : Warm-Weather Winter Vacations
        prop3	Wednesday
        channel	Video Player
        prop1	d8eb94afc8984dbaa4a23f6d39c4db71
        prop11	No cast
        prop23	Auto Play
        prop8	Signed In
        prop22	clip
        prop6	SVOD
        prop24	2018-08-01T04:00:00Z
        prop4	4.0.17 (101)
        prop15	Quick Clips
        prop2	20
        prop9	scotty_month
        prop7	0
        events	event27
        .s	
        eVar5	iPad
        eVar3	Wednesday
        eVar1	d8eb94afc8984dbaa4a23f6d39c4db71
        eVar24	2018-08-01T04:00:00Z
        eVar12	Detail : Warm-Weather Winter Vacations
        .c	
        mid	45906858994548028031055733855091988289
        pev2	AMACTION:event27
        pageName	Smithsonian Channel/101
        pe	lnk_o
        ce	UTF-8
        aamlh	7
        cp	foreground
        aamb	j8Odv6LonN4r3an7LhD3WZrU1bUpAkFkkiY1ncBR96t2PTI
      </textarea
    ><br>
    <input
      type="button"
      id="analyticsButton"
      value="Analytics"
      class="w3-btn w3-Blue"
    />
    <input
      type="button"
      id="heartbeatsButton"
      value="Heartbeats"
      class="w3-btn w3-Purple"
    />
    <input
      type="button"
      id="clearButton"
      value="Clear Values"
      class="w3-btn w3-Indigo"
    />
  </form>
  <div id="channel"></div>
  <div id="pageName"></div>
  <div id="heartbeat"></div>
</body>
